---
title: "Reorder boards"
url: https://docs.gleap.ai/en/reference/rest-api/reorder-ticket-types
method: PUT
path: "/ticket-types"
api: "API Reference"
tag: "Ticket types"
operationId: "ReorderTicketTypes"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Reorder boards

`PUT https://api.gleap.io/v3/ticket-types`

Set the sidebar order of the boards. Boards missing from `types` keep their relative order after the listed ones. Answers the boards the caller may see, in the new order.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Headers

- `project` (string, required)

## Request body (`application/json`, required)

- `types` (string[], required): Board `type` keys in the desired sidebar order.

## Example request

```bash
curl --request PUT \
  --url https://api.gleap.io/v3/ticket-types \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>' \
  --header 'Content-Type: application/json' \
  --data '{
  "types": [
    "<types>"
  ]
}'
```

## Responses

### 200 (`application/json`)

Ok

```json
[]
```
